package wad.domain;

import java.time.LocalDateTime;
import javax.persistence.Entity;
import lombok.AllArgsConstructor;
import lombok.Data;
import org.springframework.data.jpa.domain.AbstractPersistable;

@AllArgsConstructor
@Data
@Entity
public class Message extends AbstractPersistable<Long> {

    private LocalDateTime messageDate;
    private String message;

    public Message() {
        this.messageDate = LocalDateTime.now();
    }

}
